import { InjectionToken, Type } from '@angular/core';
import { SchemaConfig, SchemaPatcher, TemplateDirectiveContainer } from './interfaces';
import { AbstractWidget } from './widgets';
export declare const WIDGET_MAP: InjectionToken<Map<string, Type<AbstractWidget<unknown>>>>;
export declare const SCHEMA_MAP: InjectionToken<Map<string, SchemaConfig<any>>>;
export declare const SCHEMA_PATCHERS: InjectionToken<SchemaPatcher<import("ngx-fluent-form").AbstractSchema<import("ngx-fluent-form").SchemaKey>>[]>;
export declare const TEMPLATE_DIRECTIVE_CONTAINER: InjectionToken<TemplateDirectiveContainer>;
